#pragma once
#include "BaseForm.h"
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for MineForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class MineForm : public System::Windows::Forms::Form
#else 
    public __gc class MineForm : public BaseForm
#endif	
	{
	public: 
        MineForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }  
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
    private: System::Windows::Forms::Panel *  panel2;
	private: System::Windows::Forms::ComboBox*  CB_MaxGenerate;
	private: System::Windows::Forms::ComboBox*  CB_GenerateRate;


    private: System::Windows::Forms::Label *  label37;
    private: System::Windows::Forms::Label *  label19;
    private: System::Windows::Forms::ComboBox *  comboBox3;
    private: System::Windows::Forms::Label *  label16;
    private: System::Windows::Forms::ComboBox *  comboBox2;
    private: System::Windows::Forms::Label *  label3;
    private: System::Windows::Forms::ComboBox *  comboBox1;
    private: System::Windows::Forms::Label *  label1;
    private: System::Windows::Forms::ComboBox *  comboBox6;
    private: System::Windows::Forms::Label *  label2;
    private: System::Windows::Forms::GroupBox *  groupBox1;



    private: System::Windows::Forms::GroupBox *  groupBox3;
    private: System::Windows::Forms::GroupBox *  groupBox4;

















    private: System::Windows::Forms::TextBox *  textBox11;

    private: System::Windows::Forms::TextBox *  textBox12;

    private: System::Windows::Forms::TextBox *  textBox13;

    private: System::Windows::Forms::TextBox *  textBox14;

    private: System::Windows::Forms::TextBox *  textBox15;







    private: System::Windows::Forms::NumericUpDown *  numericUpDown1;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown2;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown3;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown4;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown5;


    private: System::Windows::Forms::ComboBox *  comboBox7;
    private: System::Windows::Forms::Label *  label20;


    private: System::Windows::Forms::Label *  LB_ItemRate5;
    private: System::Windows::Forms::Label *  LB_ItemRate4;
    private: System::Windows::Forms::Label *  LB_ItemRate3;
    private: System::Windows::Forms::Label *  LB_ItemRate2;
    private: System::Windows::Forms::Label *  LB_ItemRate1;








	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;
    private: System::Windows::Forms::ComboBox *  CB_Zone3;
    private: System::Windows::Forms::ComboBox *  CB_Zone2;
    private: System::Windows::Forms::ComboBox *  CB_Zone1;
    private: System::Windows::Forms::Label *  label53;
private: System::Windows::Forms::Label*  LB_ItemRateTotal;
private: System::Windows::Forms::NumericUpDown*  numericUpDown7;
private: System::Windows::Forms::NumericUpDown*  numericUpDown6;
private: System::Windows::Forms::Label*  LB_ItemRate7;
private: System::Windows::Forms::TextBox*  textBox2;
private: System::Windows::Forms::Label*  LB_ItemRate6;
private: System::Windows::Forms::TextBox*  textBox10;
private: System::Windows::Forms::Label*  LB_Item7;
private: System::Windows::Forms::TextBox*  textBox9;
private: System::Windows::Forms::Label*  LB_Item6;
private: System::Windows::Forms::TextBox*  textBox8;
private: System::Windows::Forms::GroupBox*  groupBox2;
private: System::Windows::Forms::Label*  LB_Item5;
private: System::Windows::Forms::TextBox*  textBox7;
private: System::Windows::Forms::Label*  LB_Item4;
private: System::Windows::Forms::TextBox*  textBox6;
private: System::Windows::Forms::Label*  LB_Item3;
private: System::Windows::Forms::TextBox*  textBox5;
private: System::Windows::Forms::Label*  LB_Item2;
private: System::Windows::Forms::TextBox*  textBox4;
private: System::Windows::Forms::Label*  LB_Item1;
private: System::Windows::Forms::TextBox*  textBox1;
private: System::Windows::Forms::GroupBox*  groupBox5;
private: System::Windows::Forms::GroupBox*  groupBox6;
private: System::Windows::Forms::GroupBox*  groupBox7;





private: System::Windows::Forms::GroupBox*  groupBox8;

private: System::Windows::Forms::GroupBox*  groupBox9;
private: System::Windows::Forms::Label*  label5;
private: System::Windows::Forms::Label*  LB_DailyGenerateRate;
private: System::Windows::Forms::Label*  label6;
private: System::Windows::Forms::Label*  LB_FLAGNAME;

private: System::Windows::Forms::TextBox*  textBox3;
private: System::Windows::Forms::Label*  label4;
private: System::Windows::Forms::GroupBox*  groupBox10;






private: System::Windows::Forms::GroupBox*  groupBox12;
private: System::Windows::Forms::Label*  label8;
private: System::Windows::Forms::Label*  labelgenobjratetotal;

private: System::Windows::Forms::Label*  labelgenobjrate5;

private: System::Windows::Forms::TextBox*  textBox16;
private: System::Windows::Forms::Label*  labelgenobjrate4;

private: System::Windows::Forms::TextBox*  textBox17;
private: System::Windows::Forms::Label*  labelgenobjrate3;

private: System::Windows::Forms::TextBox*  textBox18;
private: System::Windows::Forms::Label*  labelgenobjrate2;

private: System::Windows::Forms::TextBox*  textBox19;
private: System::Windows::Forms::Label*  labelgenobjrate1;

private: System::Windows::Forms::TextBox*  textBox20;
private: System::Windows::Forms::GroupBox*  groupBox13;
private: System::Windows::Forms::Label*  labelgenobj5;

private: System::Windows::Forms::TextBox*  textBox21;
private: System::Windows::Forms::Label*  labelgenobj4;

private: System::Windows::Forms::TextBox*  textBox22;
private: System::Windows::Forms::Label*  labelgenobj3;

private: System::Windows::Forms::TextBox*  textBox23;
private: System::Windows::Forms::Label*  labelgenobj2;



private: System::Windows::Forms::TextBox*  textBox24;
private: System::Windows::Forms::Label*  labelgenobj1;

private: System::Windows::Forms::TextBox*  textBox25;
private: System::Windows::Forms::ComboBox*  comboBox4;
private: System::Windows::Forms::Label*  label7;
private: System::Windows::Forms::Label*  label23;
private: System::Windows::Forms::Label*  label24;
private: System::Windows::Forms::TextBox*  textBox26;
private: System::Windows::Forms::Label*  label9;







		 bool        _IsValueChange;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->textBox26 = (new System::Windows::Forms::TextBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->groupBox10 = (new System::Windows::Forms::GroupBox());
			this->groupBox12 = (new System::Windows::Forms::GroupBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->labelgenobjratetotal = (new System::Windows::Forms::Label());
			this->labelgenobjrate5 = (new System::Windows::Forms::Label());
			this->textBox16 = (new System::Windows::Forms::TextBox());
			this->labelgenobjrate4 = (new System::Windows::Forms::Label());
			this->textBox17 = (new System::Windows::Forms::TextBox());
			this->labelgenobjrate3 = (new System::Windows::Forms::Label());
			this->textBox18 = (new System::Windows::Forms::TextBox());
			this->labelgenobjrate2 = (new System::Windows::Forms::Label());
			this->textBox19 = (new System::Windows::Forms::TextBox());
			this->labelgenobjrate1 = (new System::Windows::Forms::Label());
			this->textBox20 = (new System::Windows::Forms::TextBox());
			this->groupBox13 = (new System::Windows::Forms::GroupBox());
			this->labelgenobj5 = (new System::Windows::Forms::Label());
			this->textBox21 = (new System::Windows::Forms::TextBox());
			this->labelgenobj4 = (new System::Windows::Forms::Label());
			this->textBox22 = (new System::Windows::Forms::TextBox());
			this->labelgenobj3 = (new System::Windows::Forms::Label());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->labelgenobj2 = (new System::Windows::Forms::Label());
			this->textBox24 = (new System::Windows::Forms::TextBox());
			this->labelgenobj1 = (new System::Windows::Forms::Label());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->groupBox6 = (new System::Windows::Forms::GroupBox());
			this->groupBox7 = (new System::Windows::Forms::GroupBox());
			this->numericUpDown6 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown7 = (new System::Windows::Forms::NumericUpDown());
			this->groupBox8 = (new System::Windows::Forms::GroupBox());
			this->textBox10 = (new System::Windows::Forms::TextBox());
			this->LB_ItemRate6 = (new System::Windows::Forms::Label());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->LB_ItemRate7 = (new System::Windows::Forms::Label());
			this->groupBox9 = (new System::Windows::Forms::GroupBox());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->LB_Item6 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->LB_Item7 = (new System::Windows::Forms::Label());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->numericUpDown5 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown4 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown3 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown2 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown1 = (new System::Windows::Forms::NumericUpDown());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->label5 = (new System::Windows::Forms::Label());
			this->LB_ItemRateTotal = (new System::Windows::Forms::Label());
			this->LB_ItemRate5 = (new System::Windows::Forms::Label());
			this->textBox11 = (new System::Windows::Forms::TextBox());
			this->LB_ItemRate4 = (new System::Windows::Forms::Label());
			this->textBox12 = (new System::Windows::Forms::TextBox());
			this->LB_ItemRate3 = (new System::Windows::Forms::Label());
			this->textBox13 = (new System::Windows::Forms::TextBox());
			this->LB_ItemRate2 = (new System::Windows::Forms::Label());
			this->textBox14 = (new System::Windows::Forms::TextBox());
			this->LB_ItemRate1 = (new System::Windows::Forms::Label());
			this->textBox15 = (new System::Windows::Forms::TextBox());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->LB_Item5 = (new System::Windows::Forms::Label());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->LB_Item4 = (new System::Windows::Forms::Label());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->LB_Item3 = (new System::Windows::Forms::Label());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->LB_Item2 = (new System::Windows::Forms::Label());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->LB_Item1 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->panel2 = (new System::Windows::Forms::Panel());
			this->label24 = (new System::Windows::Forms::Label());
			this->label23 = (new System::Windows::Forms::Label());
			this->comboBox4 = (new System::Windows::Forms::ComboBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->LB_FLAGNAME = (new System::Windows::Forms::Label());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->label6 = (new System::Windows::Forms::Label());
			this->LB_DailyGenerateRate = (new System::Windows::Forms::Label());
			this->CB_Zone3 = (new System::Windows::Forms::ComboBox());
			this->CB_Zone2 = (new System::Windows::Forms::ComboBox());
			this->CB_Zone1 = (new System::Windows::Forms::ComboBox());
			this->label53 = (new System::Windows::Forms::Label());
			this->comboBox7 = (new System::Windows::Forms::ComboBox());
			this->label20 = (new System::Windows::Forms::Label());
			this->comboBox6 = (new System::Windows::Forms::ComboBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->CB_MaxGenerate = (new System::Windows::Forms::ComboBox());
			this->CB_GenerateRate = (new System::Windows::Forms::ComboBox());
			this->label37 = (new System::Windows::Forms::Label());
			this->label19 = (new System::Windows::Forms::Label());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->label16 = (new System::Windows::Forms::Label());
			this->comboBox2 = (new System::Windows::Forms::ComboBox());
			this->label3 = (new System::Windows::Forms::Label());
			this->panel1->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->groupBox10->SuspendLayout();
			this->groupBox12->SuspendLayout();
			this->groupBox13->SuspendLayout();
			this->groupBox6->SuspendLayout();
			this->groupBox7->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown6))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown7))->BeginInit();
			this->groupBox8->SuspendLayout();
			this->groupBox9->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->groupBox4->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown5))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown4))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown3))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown2))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->BeginInit();
			this->groupBox3->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->panel2->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->AutoScroll = true;
			this->panel1->Controls->Add(this->textBox26);
			this->panel1->Controls->Add(this->label9);
			this->panel1->Controls->Add(this->groupBox1);
			this->panel1->Controls->Add(this->panel2);
			this->panel1->Dock = System::Windows::Forms::DockStyle::Fill;
			this->panel1->ForeColor = System::Drawing::SystemColors::WindowText;
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(764, 837);
			this->panel1->TabIndex = 0;
			// 
			// textBox26
			// 
			this->textBox26->Location = System::Drawing::Point(115, 705);
			this->textBox26->Name = S"textBox26";
			this->textBox26->Size = System::Drawing::Size(354, 20);
			this->textBox26->TabIndex = 107;
			this->textBox26->Tag = S"szLuaGetItemScript";
			this->textBox26->TextChanged += new System::EventHandler(this, &MineForm::GetStr_TextChanged);
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label9->ForeColor = System::Drawing::SystemColors::WindowText;
			this->label9->Location = System::Drawing::Point(19, 707);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(77, 12);
			this->label9->TabIndex = 106;
			this->label9->Text = S"採集成功劇情";
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->groupBox10);
			this->groupBox1->Controls->Add(this->groupBox6);
			this->groupBox1->Controls->Add(this->groupBox5);
			this->groupBox1->Location = System::Drawing::Point(21, 159);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(533, 528);
			this->groupBox1->TabIndex = 2;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"取得物品";
			// 
			// groupBox10
			// 
			this->groupBox10->Controls->Add(this->groupBox12);
			this->groupBox10->Controls->Add(this->groupBox13);
			this->groupBox10->Location = System::Drawing::Point(12, 328);
			this->groupBox10->Name = S"groupBox10";
			this->groupBox10->Size = System::Drawing::Size(509, 190);
			this->groupBox10->TabIndex = 36;
			this->groupBox10->TabStop = false;
			this->groupBox10->Text = S"特殊重生規則 ( 當礦被採集完畢, 消失後重生單位 )";
			// 
			// groupBox12
			// 
			this->groupBox12->Controls->Add(this->label8);
			this->groupBox12->Controls->Add(this->labelgenobjratetotal);
			this->groupBox12->Controls->Add(this->labelgenobjrate5);
			this->groupBox12->Controls->Add(this->textBox16);
			this->groupBox12->Controls->Add(this->labelgenobjrate4);
			this->groupBox12->Controls->Add(this->textBox17);
			this->groupBox12->Controls->Add(this->labelgenobjrate3);
			this->groupBox12->Controls->Add(this->textBox18);
			this->groupBox12->Controls->Add(this->labelgenobjrate2);
			this->groupBox12->Controls->Add(this->textBox19);
			this->groupBox12->Controls->Add(this->labelgenobjrate1);
			this->groupBox12->Controls->Add(this->textBox20);
			this->groupBox12->Location = System::Drawing::Point(226, 18);
			this->groupBox12->Name = S"groupBox12";
			this->groupBox12->Size = System::Drawing::Size(168, 158);
			this->groupBox12->TabIndex = 4;
			this->groupBox12->TabStop = false;
			this->groupBox12->Text = S"重生機率";
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Location = System::Drawing::Point(55, 133);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(55, 13);
			this->label8->TabIndex = 24;
			this->label8->Text = S"機率合計";
			// 
			// labelgenobjratetotal
			// 
			this->labelgenobjratetotal->Location = System::Drawing::Point(112, 133);
			this->labelgenobjratetotal->Name = S"labelgenobjratetotal";
			this->labelgenobjratetotal->Size = System::Drawing::Size(48, 13);
			this->labelgenobjratetotal->TabIndex = 16;
			this->labelgenobjratetotal->Text = S"100.00%";
			// 
			// labelgenobjrate5
			// 
			this->labelgenobjrate5->Location = System::Drawing::Point(112, 111);
			this->labelgenobjrate5->Name = S"labelgenobjrate5";
			this->labelgenobjrate5->Size = System::Drawing::Size(48, 14);
			this->labelgenobjrate5->TabIndex = 23;
			this->labelgenobjrate5->Text = S"100.00%";
			// 
			// textBox16
			// 
			this->textBox16->Location = System::Drawing::Point(8, 104);
			this->textBox16->Name = S"textBox16";
			this->textBox16->Size = System::Drawing::Size(100, 20);
			this->textBox16->TabIndex = 22;
			this->textBox16->Tag = S"GenerateObjRate5";
			this->textBox16->Text = S"0";
			this->textBox16->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobjrate4
			// 
			this->labelgenobjrate4->Location = System::Drawing::Point(112, 90);
			this->labelgenobjrate4->Name = S"labelgenobjrate4";
			this->labelgenobjrate4->Size = System::Drawing::Size(48, 14);
			this->labelgenobjrate4->TabIndex = 21;
			this->labelgenobjrate4->Text = S"100.00%";
			// 
			// textBox17
			// 
			this->textBox17->Location = System::Drawing::Point(8, 83);
			this->textBox17->Name = S"textBox17";
			this->textBox17->Size = System::Drawing::Size(100, 20);
			this->textBox17->TabIndex = 20;
			this->textBox17->Tag = S"GenerateObjRate4";
			this->textBox17->Text = S"0";
			this->textBox17->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobjrate3
			// 
			this->labelgenobjrate3->Location = System::Drawing::Point(112, 69);
			this->labelgenobjrate3->Name = S"labelgenobjrate3";
			this->labelgenobjrate3->Size = System::Drawing::Size(48, 14);
			this->labelgenobjrate3->TabIndex = 19;
			this->labelgenobjrate3->Text = S"100.00%";
			// 
			// textBox18
			// 
			this->textBox18->Location = System::Drawing::Point(8, 62);
			this->textBox18->Name = S"textBox18";
			this->textBox18->Size = System::Drawing::Size(100, 20);
			this->textBox18->TabIndex = 18;
			this->textBox18->Tag = S"GenerateObjRate3";
			this->textBox18->Text = S"0";
			this->textBox18->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobjrate2
			// 
			this->labelgenobjrate2->Location = System::Drawing::Point(112, 49);
			this->labelgenobjrate2->Name = S"labelgenobjrate2";
			this->labelgenobjrate2->Size = System::Drawing::Size(48, 13);
			this->labelgenobjrate2->TabIndex = 17;
			this->labelgenobjrate2->Text = S"100.00%";
			// 
			// textBox19
			// 
			this->textBox19->Location = System::Drawing::Point(8, 42);
			this->textBox19->Name = S"textBox19";
			this->textBox19->Size = System::Drawing::Size(100, 20);
			this->textBox19->TabIndex = 16;
			this->textBox19->Tag = S"GenerateObjRate2";
			this->textBox19->Text = S"0";
			this->textBox19->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobjrate1
			// 
			this->labelgenobjrate1->Location = System::Drawing::Point(112, 28);
			this->labelgenobjrate1->Name = S"labelgenobjrate1";
			this->labelgenobjrate1->Size = System::Drawing::Size(48, 14);
			this->labelgenobjrate1->TabIndex = 15;
			this->labelgenobjrate1->Text = S"100.00%";
			// 
			// textBox20
			// 
			this->textBox20->Location = System::Drawing::Point(8, 21);
			this->textBox20->Name = S"textBox20";
			this->textBox20->Size = System::Drawing::Size(100, 20);
			this->textBox20->TabIndex = 14;
			this->textBox20->Tag = S"GenerateObjRate1";
			this->textBox20->Text = S"0";
			this->textBox20->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// groupBox13
			// 
			this->groupBox13->Controls->Add(this->labelgenobj5);
			this->groupBox13->Controls->Add(this->textBox21);
			this->groupBox13->Controls->Add(this->labelgenobj4);
			this->groupBox13->Controls->Add(this->textBox22);
			this->groupBox13->Controls->Add(this->labelgenobj3);
			this->groupBox13->Controls->Add(this->textBox23);
			this->groupBox13->Controls->Add(this->labelgenobj2);
			this->groupBox13->Controls->Add(this->textBox24);
			this->groupBox13->Controls->Add(this->labelgenobj1);
			this->groupBox13->Controls->Add(this->textBox25);
			this->groupBox13->Location = System::Drawing::Point(20, 17);
			this->groupBox13->Name = S"groupBox13";
			this->groupBox13->Size = System::Drawing::Size(200, 159);
			this->groupBox13->TabIndex = 3;
			this->groupBox13->TabStop = false;
			this->groupBox13->Text = S"重生物件";
			// 
			// labelgenobj5
			// 
			this->labelgenobj5->Location = System::Drawing::Point(120, 111);
			this->labelgenobj5->Name = S"labelgenobj5";
			this->labelgenobj5->Size = System::Drawing::Size(72, 14);
			this->labelgenobj5->TabIndex = 9;
			this->labelgenobj5->Text = S"label9";
			// 
			// textBox21
			// 
			this->textBox21->Location = System::Drawing::Point(16, 104);
			this->textBox21->Name = S"textBox21";
			this->textBox21->Size = System::Drawing::Size(100, 20);
			this->textBox21->TabIndex = 8;
			this->textBox21->Tag = S"GenerateObj5";
			this->textBox21->Text = S"0";
			this->textBox21->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobj4
			// 
			this->labelgenobj4->Location = System::Drawing::Point(120, 90);
			this->labelgenobj4->Name = S"labelgenobj4";
			this->labelgenobj4->Size = System::Drawing::Size(72, 14);
			this->labelgenobj4->TabIndex = 7;
			this->labelgenobj4->Text = S"label6";
			// 
			// textBox22
			// 
			this->textBox22->Location = System::Drawing::Point(16, 83);
			this->textBox22->Name = S"textBox22";
			this->textBox22->Size = System::Drawing::Size(100, 20);
			this->textBox22->TabIndex = 6;
			this->textBox22->Tag = S"GenerateObj4";
			this->textBox22->Text = S"0";
			this->textBox22->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobj3
			// 
			this->labelgenobj3->Location = System::Drawing::Point(120, 69);
			this->labelgenobj3->Name = S"labelgenobj3";
			this->labelgenobj3->Size = System::Drawing::Size(72, 14);
			this->labelgenobj3->TabIndex = 5;
			this->labelgenobj3->Text = S"label5";
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(16, 62);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(100, 20);
			this->textBox23->TabIndex = 4;
			this->textBox23->Tag = S"GenerateObj3";
			this->textBox23->Text = S"0";
			this->textBox23->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobj2
			// 
			this->labelgenobj2->Location = System::Drawing::Point(120, 49);
			this->labelgenobj2->Name = S"labelgenobj2";
			this->labelgenobj2->Size = System::Drawing::Size(72, 13);
			this->labelgenobj2->TabIndex = 3;
			this->labelgenobj2->Text = S"label4";
			// 
			// textBox24
			// 
			this->textBox24->Location = System::Drawing::Point(16, 42);
			this->textBox24->Name = S"textBox24";
			this->textBox24->Size = System::Drawing::Size(100, 20);
			this->textBox24->TabIndex = 2;
			this->textBox24->Tag = S"GenerateObj2";
			this->textBox24->Text = S"0";
			this->textBox24->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// labelgenobj1
			// 
			this->labelgenobj1->Location = System::Drawing::Point(120, 28);
			this->labelgenobj1->Name = S"labelgenobj1";
			this->labelgenobj1->Size = System::Drawing::Size(72, 14);
			this->labelgenobj1->TabIndex = 1;
			this->labelgenobj1->Text = S"label7";
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(16, 21);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(100, 20);
			this->textBox25->TabIndex = 0;
			this->textBox25->Tag = S"GenerateObj1";
			this->textBox25->Text = S"0";
			this->textBox25->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->groupBox7);
			this->groupBox6->Controls->Add(this->groupBox8);
			this->groupBox6->Controls->Add(this->groupBox9);
			this->groupBox6->Location = System::Drawing::Point(12, 225);
			this->groupBox6->Name = S"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(509, 97);
			this->groupBox6->TabIndex = 35;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = S"稀有物品 ( 機率個別計算 )";
			// 
			// groupBox7
			// 
			this->groupBox7->Controls->Add(this->numericUpDown6);
			this->groupBox7->Controls->Add(this->numericUpDown7);
			this->groupBox7->Location = System::Drawing::Point(400, 18);
			this->groupBox7->Name = S"groupBox7";
			this->groupBox7->Size = System::Drawing::Size(88, 66);
			this->groupBox7->TabIndex = 5;
			this->groupBox7->TabStop = false;
			this->groupBox7->Text = S"每次可採量";
			// 
			// numericUpDown6
			// 
			this->numericUpDown6->Location = System::Drawing::Point(16, 17);
			this->numericUpDown6->Name = S"numericUpDown6";
			this->numericUpDown6->Size = System::Drawing::Size(48, 20);
			this->numericUpDown6->TabIndex = 32;
			this->numericUpDown6->Tag = S"GetItemCount6";
			this->numericUpDown6->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown6->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// numericUpDown7
			// 
			this->numericUpDown7->Location = System::Drawing::Point(16, 38);
			this->numericUpDown7->Name = S"numericUpDown7";
			this->numericUpDown7->Size = System::Drawing::Size(48, 20);
			this->numericUpDown7->TabIndex = 33;
			this->numericUpDown7->Tag = S"GetItemCount7";
			this->numericUpDown7->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown7->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// groupBox8
			// 
			this->groupBox8->Controls->Add(this->textBox10);
			this->groupBox8->Controls->Add(this->LB_ItemRate6);
			this->groupBox8->Controls->Add(this->textBox2);
			this->groupBox8->Controls->Add(this->LB_ItemRate7);
			this->groupBox8->Location = System::Drawing::Point(226, 18);
			this->groupBox8->Name = S"groupBox8";
			this->groupBox8->Size = System::Drawing::Size(168, 66);
			this->groupBox8->TabIndex = 4;
			this->groupBox8->TabStop = false;
			this->groupBox8->Text = S"採集機率";
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(8, 16);
			this->textBox10->Name = S"textBox10";
			this->textBox10->Size = System::Drawing::Size(100, 20);
			this->textBox10->TabIndex = 28;
			this->textBox10->Tag = S"GetItemRate6";
			this->textBox10->Text = S"0";
			this->textBox10->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_ItemRate6
			// 
			this->LB_ItemRate6->Location = System::Drawing::Point(112, 23);
			this->LB_ItemRate6->Name = S"LB_ItemRate6";
			this->LB_ItemRate6->Size = System::Drawing::Size(48, 14);
			this->LB_ItemRate6->TabIndex = 29;
			this->LB_ItemRate6->Text = S"100.00%";
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(8, 37);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(100, 20);
			this->textBox2->TabIndex = 30;
			this->textBox2->Tag = S"GetItemRate7";
			this->textBox2->Text = S"0";
			this->textBox2->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_ItemRate7
			// 
			this->LB_ItemRate7->Location = System::Drawing::Point(112, 44);
			this->LB_ItemRate7->Name = S"LB_ItemRate7";
			this->LB_ItemRate7->Size = System::Drawing::Size(48, 14);
			this->LB_ItemRate7->TabIndex = 31;
			this->LB_ItemRate7->Text = S"100.00%";
			// 
			// groupBox9
			// 
			this->groupBox9->Controls->Add(this->textBox8);
			this->groupBox9->Controls->Add(this->LB_Item6);
			this->groupBox9->Controls->Add(this->textBox9);
			this->groupBox9->Controls->Add(this->LB_Item7);
			this->groupBox9->Location = System::Drawing::Point(20, 17);
			this->groupBox9->Name = S"groupBox9";
			this->groupBox9->Size = System::Drawing::Size(200, 67);
			this->groupBox9->TabIndex = 3;
			this->groupBox9->TabStop = false;
			this->groupBox9->Text = S"採集物";
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(16, 18);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(100, 20);
			this->textBox8->TabIndex = 14;
			this->textBox8->Tag = S"GetItem6";
			this->textBox8->Text = S"0";
			this->textBox8->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_Item6
			// 
			this->LB_Item6->Location = System::Drawing::Point(120, 25);
			this->LB_Item6->Name = S"LB_Item6";
			this->LB_Item6->Size = System::Drawing::Size(72, 14);
			this->LB_Item6->TabIndex = 15;
			this->LB_Item6->Text = S"label10";
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(16, 39);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(100, 20);
			this->textBox9->TabIndex = 16;
			this->textBox9->Tag = S"GetItem7";
			this->textBox9->Text = S"0";
			this->textBox9->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_Item7
			// 
			this->LB_Item7->Location = System::Drawing::Point(120, 46);
			this->LB_Item7->Name = S"LB_Item7";
			this->LB_Item7->Size = System::Drawing::Size(72, 14);
			this->LB_Item7->TabIndex = 17;
			this->LB_Item7->Text = S"label11";
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->groupBox4);
			this->groupBox5->Controls->Add(this->groupBox3);
			this->groupBox5->Controls->Add(this->groupBox2);
			this->groupBox5->Location = System::Drawing::Point(12, 22);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(509, 190);
			this->groupBox5->TabIndex = 34;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = S"一般採集物品 ( 一次只能取得一樣物品 )";
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->numericUpDown5);
			this->groupBox4->Controls->Add(this->numericUpDown4);
			this->groupBox4->Controls->Add(this->numericUpDown3);
			this->groupBox4->Controls->Add(this->numericUpDown2);
			this->groupBox4->Controls->Add(this->numericUpDown1);
			this->groupBox4->Location = System::Drawing::Point(400, 18);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(88, 158);
			this->groupBox4->TabIndex = 5;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = S"每次可採量";
			// 
			// numericUpDown5
			// 
			this->numericUpDown5->Location = System::Drawing::Point(16, 104);
			this->numericUpDown5->Name = S"numericUpDown5";
			this->numericUpDown5->Size = System::Drawing::Size(48, 20);
			this->numericUpDown5->TabIndex = 24;
			this->numericUpDown5->Tag = S"GetItemCount5";
			this->numericUpDown5->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown5->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// numericUpDown4
			// 
			this->numericUpDown4->Location = System::Drawing::Point(16, 83);
			this->numericUpDown4->Name = S"numericUpDown4";
			this->numericUpDown4->Size = System::Drawing::Size(48, 20);
			this->numericUpDown4->TabIndex = 23;
			this->numericUpDown4->Tag = S"GetItemCount4";
			this->numericUpDown4->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown4->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// numericUpDown3
			// 
			this->numericUpDown3->Location = System::Drawing::Point(16, 62);
			this->numericUpDown3->Name = S"numericUpDown3";
			this->numericUpDown3->Size = System::Drawing::Size(48, 20);
			this->numericUpDown3->TabIndex = 22;
			this->numericUpDown3->Tag = S"GetItemCount3";
			this->numericUpDown3->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown3->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// numericUpDown2
			// 
			this->numericUpDown2->Location = System::Drawing::Point(16, 42);
			this->numericUpDown2->Name = S"numericUpDown2";
			this->numericUpDown2->Size = System::Drawing::Size(48, 20);
			this->numericUpDown2->TabIndex = 21;
			this->numericUpDown2->Tag = S"GetItemCount2";
			this->numericUpDown2->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown2->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// numericUpDown1
			// 
			this->numericUpDown1->Location = System::Drawing::Point(16, 21);
			this->numericUpDown1->Name = S"numericUpDown1";
			this->numericUpDown1->Size = System::Drawing::Size(48, 20);
			this->numericUpDown1->TabIndex = 20;
			this->numericUpDown1->Tag = S"GetItemCount1";
			this->numericUpDown1->ValueChanged += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			this->numericUpDown1->Leave += new System::EventHandler(this, &MineForm::GetValue_ValueChanged);
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->label5);
			this->groupBox3->Controls->Add(this->LB_ItemRateTotal);
			this->groupBox3->Controls->Add(this->LB_ItemRate5);
			this->groupBox3->Controls->Add(this->textBox11);
			this->groupBox3->Controls->Add(this->LB_ItemRate4);
			this->groupBox3->Controls->Add(this->textBox12);
			this->groupBox3->Controls->Add(this->LB_ItemRate3);
			this->groupBox3->Controls->Add(this->textBox13);
			this->groupBox3->Controls->Add(this->LB_ItemRate2);
			this->groupBox3->Controls->Add(this->textBox14);
			this->groupBox3->Controls->Add(this->LB_ItemRate1);
			this->groupBox3->Controls->Add(this->textBox15);
			this->groupBox3->Location = System::Drawing::Point(226, 18);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(168, 158);
			this->groupBox3->TabIndex = 4;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = S"採集機率";
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Location = System::Drawing::Point(55, 133);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(55, 13);
			this->label5->TabIndex = 24;
			this->label5->Text = S"機率合計";
			// 
			// LB_ItemRateTotal
			// 
			this->LB_ItemRateTotal->Location = System::Drawing::Point(112, 133);
			this->LB_ItemRateTotal->Name = S"LB_ItemRateTotal";
			this->LB_ItemRateTotal->Size = System::Drawing::Size(48, 13);
			this->LB_ItemRateTotal->TabIndex = 16;
			this->LB_ItemRateTotal->Text = S"100.00%";
			// 
			// LB_ItemRate5
			// 
			this->LB_ItemRate5->Location = System::Drawing::Point(112, 111);
			this->LB_ItemRate5->Name = S"LB_ItemRate5";
			this->LB_ItemRate5->Size = System::Drawing::Size(48, 14);
			this->LB_ItemRate5->TabIndex = 23;
			this->LB_ItemRate5->Text = S"100.00%";
			// 
			// textBox11
			// 
			this->textBox11->Location = System::Drawing::Point(8, 104);
			this->textBox11->Name = S"textBox11";
			this->textBox11->Size = System::Drawing::Size(100, 20);
			this->textBox11->TabIndex = 22;
			this->textBox11->Tag = S"GetItemRate5";
			this->textBox11->Text = S"0";
			this->textBox11->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_ItemRate4
			// 
			this->LB_ItemRate4->Location = System::Drawing::Point(112, 90);
			this->LB_ItemRate4->Name = S"LB_ItemRate4";
			this->LB_ItemRate4->Size = System::Drawing::Size(48, 14);
			this->LB_ItemRate4->TabIndex = 21;
			this->LB_ItemRate4->Text = S"100.00%";
			// 
			// textBox12
			// 
			this->textBox12->Location = System::Drawing::Point(8, 83);
			this->textBox12->Name = S"textBox12";
			this->textBox12->Size = System::Drawing::Size(100, 20);
			this->textBox12->TabIndex = 20;
			this->textBox12->Tag = S"GetItemRate4";
			this->textBox12->Text = S"0";
			this->textBox12->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_ItemRate3
			// 
			this->LB_ItemRate3->Location = System::Drawing::Point(112, 69);
			this->LB_ItemRate3->Name = S"LB_ItemRate3";
			this->LB_ItemRate3->Size = System::Drawing::Size(48, 14);
			this->LB_ItemRate3->TabIndex = 19;
			this->LB_ItemRate3->Text = S"100.00%";
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(8, 62);
			this->textBox13->Name = S"textBox13";
			this->textBox13->Size = System::Drawing::Size(100, 20);
			this->textBox13->TabIndex = 18;
			this->textBox13->Tag = S"GetItemRate3";
			this->textBox13->Text = S"0";
			this->textBox13->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_ItemRate2
			// 
			this->LB_ItemRate2->Location = System::Drawing::Point(112, 49);
			this->LB_ItemRate2->Name = S"LB_ItemRate2";
			this->LB_ItemRate2->Size = System::Drawing::Size(48, 13);
			this->LB_ItemRate2->TabIndex = 17;
			this->LB_ItemRate2->Text = S"100.00%";
			// 
			// textBox14
			// 
			this->textBox14->Location = System::Drawing::Point(8, 42);
			this->textBox14->Name = S"textBox14";
			this->textBox14->Size = System::Drawing::Size(100, 20);
			this->textBox14->TabIndex = 16;
			this->textBox14->Tag = S"GetItemRate2";
			this->textBox14->Text = S"0";
			this->textBox14->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_ItemRate1
			// 
			this->LB_ItemRate1->Location = System::Drawing::Point(112, 28);
			this->LB_ItemRate1->Name = S"LB_ItemRate1";
			this->LB_ItemRate1->Size = System::Drawing::Size(48, 14);
			this->LB_ItemRate1->TabIndex = 15;
			this->LB_ItemRate1->Text = S"100.00%";
			// 
			// textBox15
			// 
			this->textBox15->Location = System::Drawing::Point(8, 21);
			this->textBox15->Name = S"textBox15";
			this->textBox15->Size = System::Drawing::Size(100, 20);
			this->textBox15->TabIndex = 14;
			this->textBox15->Tag = S"GetItemRate1";
			this->textBox15->Text = S"0";
			this->textBox15->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->LB_Item5);
			this->groupBox2->Controls->Add(this->textBox7);
			this->groupBox2->Controls->Add(this->LB_Item4);
			this->groupBox2->Controls->Add(this->textBox6);
			this->groupBox2->Controls->Add(this->LB_Item3);
			this->groupBox2->Controls->Add(this->textBox5);
			this->groupBox2->Controls->Add(this->LB_Item2);
			this->groupBox2->Controls->Add(this->textBox4);
			this->groupBox2->Controls->Add(this->LB_Item1);
			this->groupBox2->Controls->Add(this->textBox1);
			this->groupBox2->Location = System::Drawing::Point(20, 17);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(200, 159);
			this->groupBox2->TabIndex = 3;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"採集物";
			// 
			// LB_Item5
			// 
			this->LB_Item5->Location = System::Drawing::Point(120, 111);
			this->LB_Item5->Name = S"LB_Item5";
			this->LB_Item5->Size = System::Drawing::Size(72, 14);
			this->LB_Item5->TabIndex = 9;
			this->LB_Item5->Text = S"label9";
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(16, 104);
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(100, 20);
			this->textBox7->TabIndex = 8;
			this->textBox7->Tag = S"GetItem5";
			this->textBox7->Text = S"0";
			this->textBox7->DoubleClick += new System::EventHandler(this, &MineForm::SearchObj_DClick);
			this->textBox7->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_Item4
			// 
			this->LB_Item4->Location = System::Drawing::Point(120, 90);
			this->LB_Item4->Name = S"LB_Item4";
			this->LB_Item4->Size = System::Drawing::Size(72, 14);
			this->LB_Item4->TabIndex = 7;
			this->LB_Item4->Text = S"label6";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(16, 83);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(100, 20);
			this->textBox6->TabIndex = 6;
			this->textBox6->Tag = S"GetItem4";
			this->textBox6->Text = S"0";
			this->textBox6->DoubleClick += new System::EventHandler(this, &MineForm::SearchObj_DClick);
			this->textBox6->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_Item3
			// 
			this->LB_Item3->Location = System::Drawing::Point(120, 69);
			this->LB_Item3->Name = S"LB_Item3";
			this->LB_Item3->Size = System::Drawing::Size(72, 14);
			this->LB_Item3->TabIndex = 5;
			this->LB_Item3->Text = S"label5";
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(16, 62);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(100, 20);
			this->textBox5->TabIndex = 4;
			this->textBox5->Tag = S"GetItem3";
			this->textBox5->Text = S"0";
			this->textBox5->DoubleClick += new System::EventHandler(this, &MineForm::SearchObj_DClick);
			this->textBox5->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_Item2
			// 
			this->LB_Item2->Location = System::Drawing::Point(120, 49);
			this->LB_Item2->Name = S"LB_Item2";
			this->LB_Item2->Size = System::Drawing::Size(72, 13);
			this->LB_Item2->TabIndex = 3;
			this->LB_Item2->Text = S"label4";
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(16, 42);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(100, 20);
			this->textBox4->TabIndex = 2;
			this->textBox4->Tag = S"GetItem2";
			this->textBox4->Text = S"0";
			this->textBox4->DoubleClick += new System::EventHandler(this, &MineForm::SearchObj_DClick);
			this->textBox4->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// LB_Item1
			// 
			this->LB_Item1->Location = System::Drawing::Point(120, 28);
			this->LB_Item1->Name = S"LB_Item1";
			this->LB_Item1->Size = System::Drawing::Size(72, 14);
			this->LB_Item1->TabIndex = 1;
			this->LB_Item1->Text = S"label7";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(16, 21);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(100, 20);
			this->textBox1->TabIndex = 0;
			this->textBox1->Tag = S"GetItem1";
			this->textBox1->Text = S"0";
			this->textBox1->DoubleClick += new System::EventHandler(this, &MineForm::SearchObj_DClick);
			this->textBox1->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// panel2
			// 
			this->panel2->BorderStyle = System::Windows::Forms::BorderStyle::Fixed3D;
			this->panel2->Controls->Add(this->label24);
			this->panel2->Controls->Add(this->label23);
			this->panel2->Controls->Add(this->comboBox4);
			this->panel2->Controls->Add(this->label7);
			this->panel2->Controls->Add(this->LB_FLAGNAME);
			this->panel2->Controls->Add(this->textBox3);
			this->panel2->Controls->Add(this->label4);
			this->panel2->Controls->Add(this->label6);
			this->panel2->Controls->Add(this->LB_DailyGenerateRate);
			this->panel2->Controls->Add(this->CB_Zone3);
			this->panel2->Controls->Add(this->CB_Zone2);
			this->panel2->Controls->Add(this->CB_Zone1);
			this->panel2->Controls->Add(this->label53);
			this->panel2->Controls->Add(this->comboBox7);
			this->panel2->Controls->Add(this->label20);
			this->panel2->Controls->Add(this->comboBox6);
			this->panel2->Controls->Add(this->label2);
			this->panel2->Controls->Add(this->comboBox1);
			this->panel2->Controls->Add(this->label1);
			this->panel2->Controls->Add(this->CB_MaxGenerate);
			this->panel2->Controls->Add(this->CB_GenerateRate);
			this->panel2->Controls->Add(this->label37);
			this->panel2->Controls->Add(this->label19);
			this->panel2->Controls->Add(this->comboBox3);
			this->panel2->Controls->Add(this->label16);
			this->panel2->Controls->Add(this->comboBox2);
			this->panel2->Controls->Add(this->label3);
			this->panel2->Dock = System::Windows::Forms::DockStyle::Top;
			this->panel2->Location = System::Drawing::Point(0, 0);
			this->panel2->Name = S"panel2";
			this->panel2->Size = System::Drawing::Size(764, 140);
			this->panel2->TabIndex = 1;
			// 
			// label24
			// 
			this->label24->AutoSize = true;
			this->label24->Location = System::Drawing::Point(385, 95);
			this->label24->Name = S"label24";
			this->label24->Size = System::Drawing::Size(372, 13);
			this->label24->TabIndex = 110;
			this->label24->Text = S"說明: 亂數衰減量只適用在挖完消失的礦, 用途在減少 0 - VAL 的上限量";
			// 
			// label23
			// 
			this->label23->AutoSize = true;
			this->label23->Location = System::Drawing::Point(385, 81);
			this->label23->Name = S"label23";
			this->label23->Size = System::Drawing::Size(310, 13);
			this->label23->TabIndex = 109;
			this->label23->Text = S"說明: 若設定挖完消失, 則單位產生率為礦挖完後重生時間.";
			// 
			// comboBox4
			// 
			this->comboBox4->ItemHeight = 13;
			System::Object* __mcTemp__1[] = new System::Object*[9];
			__mcTemp__1[0] = S"9999999";
			__mcTemp__1[1] = S"1";
			__mcTemp__1[2] = S"5";
			__mcTemp__1[3] = S"10";
			__mcTemp__1[4] = S"100";
			__mcTemp__1[5] = S"500";
			__mcTemp__1[6] = S"1000";
			__mcTemp__1[7] = S"5000";
			__mcTemp__1[8] = S"10000";
			this->comboBox4->Items->AddRange(__mcTemp__1);
			this->comboBox4->Location = System::Drawing::Point(301, 55);
			this->comboBox4->Name = S"comboBox4";
			this->comboBox4->Size = System::Drawing::Size(72, 21);
			this->comboBox4->TabIndex = 108;
			this->comboBox4->Tag = S"ReduceVal";
			this->comboBox4->Text = S"0";
			this->comboBox4->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label7->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label7->Location = System::Drawing::Point(207, 57);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(70, 12);
			this->label7->TabIndex = 107;
			this->label7->Text = S"亂數衰減量";
			// 
			// LB_FLAGNAME
			// 
			this->LB_FLAGNAME->Location = System::Drawing::Point(114, 117);
			this->LB_FLAGNAME->Name = S"LB_FLAGNAME";
			this->LB_FLAGNAME->Size = System::Drawing::Size(72, 14);
			this->LB_FLAGNAME->TabIndex = 106;
			this->LB_FLAGNAME->Text = S"label7";
			this->LB_FLAGNAME->Visible = false;
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(113, 95);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(73, 20);
			this->textBox3->TabIndex = 105;
			this->textBox3->Tag = S"FlagID";
			this->textBox3->Text = S"0";
			this->textBox3->Visible = false;
			this->textBox3->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label4->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label4->Location = System::Drawing::Point(17, 98);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(83, 12);
			this->label4->TabIndex = 104;
			this->label4->Text = S"重生參考旗子";
			this->label4->Visible = false;
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label6->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label6->Location = System::Drawing::Point(207, 97);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(44, 12);
			this->label6->TabIndex = 103;
			this->label6->Text = S"日產量";
			// 
			// LB_DailyGenerateRate
			// 
			this->LB_DailyGenerateRate->AutoSize = true;
			this->LB_DailyGenerateRate->Location = System::Drawing::Point(299, 97);
			this->LB_DailyGenerateRate->Name = S"LB_DailyGenerateRate";
			this->LB_DailyGenerateRate->Size = System::Drawing::Size(43, 13);
			this->LB_DailyGenerateRate->TabIndex = 102;
			this->LB_DailyGenerateRate->Text = S"日產量";
			// 
			// CB_Zone3
			// 
			this->CB_Zone3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__2[] = new System::Object*[3];
			__mcTemp__2[0] = S"10";
			__mcTemp__2[1] = S"50";
			__mcTemp__2[2] = S"100";
			this->CB_Zone3->Items->AddRange(__mcTemp__2);
			this->CB_Zone3->Location = System::Drawing::Point(456, 57);
			this->CB_Zone3->Name = S"CB_Zone3";
			this->CB_Zone3->Size = System::Drawing::Size(96, 21);
			this->CB_Zone3->TabIndex = 101;
			this->CB_Zone3->Tag = S"Zone3";
			this->CB_Zone3->SelectedIndexChanged += new System::EventHandler(this, &MineForm::GetIndex_SelectedIndexChanged);
			// 
			// CB_Zone2
			// 
			this->CB_Zone2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__3[] = new System::Object*[3];
			__mcTemp__3[0] = S"10";
			__mcTemp__3[1] = S"50";
			__mcTemp__3[2] = S"100";
			this->CB_Zone2->Items->AddRange(__mcTemp__3);
			this->CB_Zone2->Location = System::Drawing::Point(456, 37);
			this->CB_Zone2->Name = S"CB_Zone2";
			this->CB_Zone2->Size = System::Drawing::Size(96, 21);
			this->CB_Zone2->TabIndex = 100;
			this->CB_Zone2->Tag = S"Zone2";
			this->CB_Zone2->SelectedIndexChanged += new System::EventHandler(this, &MineForm::GetIndex_SelectedIndexChanged);
			// 
			// CB_Zone1
			// 
			this->CB_Zone1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__4[] = new System::Object*[8];
			__mcTemp__4[0] = S"1 Zone1";
			__mcTemp__4[1] = S"2 Zone2";
			__mcTemp__4[2] = S"3 Zone3";
			__mcTemp__4[3] = S"4 Zone4";
			__mcTemp__4[4] = S"5 Zone5";
			__mcTemp__4[5] = S"6 Zone6";
			__mcTemp__4[6] = S"7 Zone7";
			__mcTemp__4[7] = S"8 Zone8";
			this->CB_Zone1->Items->AddRange(__mcTemp__4);
			this->CB_Zone1->Location = System::Drawing::Point(456, 18);
			this->CB_Zone1->Name = S"CB_Zone1";
			this->CB_Zone1->Size = System::Drawing::Size(96, 21);
			this->CB_Zone1->TabIndex = 99;
			this->CB_Zone1->Tag = S"Zone1";
			this->CB_Zone1->SelectedIndexChanged += new System::EventHandler(this, &MineForm::GetIndex_SelectedIndexChanged);
			// 
			// label53
			// 
			this->label53->AutoSize = true;
			this->label53->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label53->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label53->Location = System::Drawing::Point(393, 21);
			this->label53->Name = S"label53";
			this->label53->Size = System::Drawing::Size(57, 12);
			this->label53->TabIndex = 98;
			this->label53->Text = S"所在區域";
			this->label53->Click += new System::EventHandler(this, &MineForm::label53_Click);
			// 
			// comboBox7
			// 
			this->comboBox7->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox7->ItemHeight = 13;
			System::Object* __mcTemp__5[] = new System::Object*[2];
			__mcTemp__5[0] = S"否";
			__mcTemp__5[1] = S"是";
			this->comboBox7->Items->AddRange(__mcTemp__5);
			this->comboBox7->Location = System::Drawing::Point(113, 75);
			this->comboBox7->Name = S"comboBox7";
			this->comboBox7->Size = System::Drawing::Size(73, 21);
			this->comboBox7->TabIndex = 97;
			this->comboBox7->Tag = S"CreateType";
			this->comboBox7->SelectedIndexChanged += new System::EventHandler(this, &MineForm::GetIndex_SelectedIndexChanged);
			// 
			// label20
			// 
			this->label20->AutoSize = true;
			this->label20->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label20->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label20->Location = System::Drawing::Point(17, 77);
			this->label20->Name = S"label20";
			this->label20->Size = System::Drawing::Size(57, 12);
			this->label20->TabIndex = 96;
			this->label20->Text = S"挖完消失";
			// 
			// comboBox6
			// 
			this->comboBox6->ItemHeight = 13;
			System::Object* __mcTemp__6[] = new System::Object*[20];
			__mcTemp__6[0] = S"5";
			__mcTemp__6[1] = S"10";
			__mcTemp__6[2] = S"15";
			__mcTemp__6[3] = S"20";
			__mcTemp__6[4] = S"25";
			__mcTemp__6[5] = S"30";
			__mcTemp__6[6] = S"35";
			__mcTemp__6[7] = S"40";
			__mcTemp__6[8] = S"45";
			__mcTemp__6[9] = S"50";
			__mcTemp__6[10] = S"55";
			__mcTemp__6[11] = S"60";
			__mcTemp__6[12] = S"65";
			__mcTemp__6[13] = S"70";
			__mcTemp__6[14] = S"75";
			__mcTemp__6[15] = S"80";
			__mcTemp__6[16] = S"85";
			__mcTemp__6[17] = S"90";
			__mcTemp__6[18] = S"95";
			__mcTemp__6[19] = S"100";
			this->comboBox6->Items->AddRange(__mcTemp__6);
			this->comboBox6->Location = System::Drawing::Point(114, 35);
			this->comboBox6->Name = S"comboBox6";
			this->comboBox6->Size = System::Drawing::Size(72, 21);
			this->comboBox6->TabIndex = 95;
			this->comboBox6->Tag = S"LVLimit";
			this->comboBox6->Text = S"0";
			this->comboBox6->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label2->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label2->Location = System::Drawing::Point(17, 37);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(83, 12);
			this->label2->TabIndex = 94;
			this->label2->Text = S"技能等級限制";
			// 
			// comboBox1
			// 
			this->comboBox1->ItemHeight = 13;
			System::Object* __mcTemp__7[] = new System::Object*[9];
			__mcTemp__7[0] = S"9999999";
			__mcTemp__7[1] = S"1";
			__mcTemp__7[2] = S"5";
			__mcTemp__7[3] = S"10";
			__mcTemp__7[4] = S"100";
			__mcTemp__7[5] = S"500";
			__mcTemp__7[6] = S"1000";
			__mcTemp__7[7] = S"5000";
			__mcTemp__7[8] = S"10000";
			this->comboBox1->Items->AddRange(__mcTemp__7);
			this->comboBox1->Location = System::Drawing::Point(301, 35);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(72, 21);
			this->comboBox1->TabIndex = 93;
			this->comboBox1->Tag = S"BaseCount";
			this->comboBox1->Text = S"0";
			this->comboBox1->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label1->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label1->Location = System::Drawing::Point(207, 37);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(44, 12);
			this->label1->TabIndex = 92;
			this->label1->Text = S"初始量";
			// 
			// CB_MaxGenerate
			// 
			this->CB_MaxGenerate->ItemHeight = 13;
			System::Object* __mcTemp__8[] = new System::Object*[9];
			__mcTemp__8[0] = S"9999999";
			__mcTemp__8[1] = S"1";
			__mcTemp__8[2] = S"5";
			__mcTemp__8[3] = S"10";
			__mcTemp__8[4] = S"100";
			__mcTemp__8[5] = S"500";
			__mcTemp__8[6] = S"1000";
			__mcTemp__8[7] = S"5000";
			__mcTemp__8[8] = S"10000";
			this->CB_MaxGenerate->Items->AddRange(__mcTemp__8);
			this->CB_MaxGenerate->Location = System::Drawing::Point(301, 14);
			this->CB_MaxGenerate->Name = S"CB_MaxGenerate";
			this->CB_MaxGenerate->Size = System::Drawing::Size(72, 21);
			this->CB_MaxGenerate->TabIndex = 91;
			this->CB_MaxGenerate->Tag = S"MaxWorldCount";
			this->CB_MaxGenerate->Text = S"0";
			this->CB_MaxGenerate->SelectedIndexChanged += new System::EventHandler(this, &MineForm::comboBox5_SelectedIndexChanged);
			this->CB_MaxGenerate->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// CB_GenerateRate
			// 
			this->CB_GenerateRate->ItemHeight = 13;
			System::Object* __mcTemp__9[] = new System::Object*[9];
			__mcTemp__9[0] = S"9999999";
			__mcTemp__9[1] = S"1";
			__mcTemp__9[2] = S"5";
			__mcTemp__9[3] = S"10";
			__mcTemp__9[4] = S"100";
			__mcTemp__9[5] = S"500";
			__mcTemp__9[6] = S"1000";
			__mcTemp__9[7] = S"5000";
			__mcTemp__9[8] = S"10000";
			this->CB_GenerateRate->Items->AddRange(__mcTemp__9);
			this->CB_GenerateRate->Location = System::Drawing::Point(301, 75);
			this->CB_GenerateRate->Name = S"CB_GenerateRate";
			this->CB_GenerateRate->Size = System::Drawing::Size(72, 21);
			this->CB_GenerateRate->TabIndex = 90;
			this->CB_GenerateRate->Tag = S"GenerateRate";
			this->CB_GenerateRate->Text = S"0";
			this->CB_GenerateRate->SelectedIndexChanged += new System::EventHandler(this, &MineForm::comboBox4_SelectedIndexChanged);
			this->CB_GenerateRate->TextChanged += new System::EventHandler(this, &MineForm::GetIntValue_TextChanged);
			// 
			// label37
			// 
			this->label37->AutoSize = true;
			this->label37->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label37->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label37->Location = System::Drawing::Point(207, 16);
			this->label37->Name = S"label37";
			this->label37->Size = System::Drawing::Size(44, 12);
			this->label37->TabIndex = 89;
			this->label37->Text = S"上限量";
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label19->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label19->Location = System::Drawing::Point(207, 77);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(93, 12);
			this->label19->TabIndex = 88;
			this->label19->Text = S"單位產生率(秒)";
			// 
			// comboBox3
			// 
			this->comboBox3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox3->ItemHeight = 13;
			System::Object* __mcTemp__10[] = new System::Object*[10];
			__mcTemp__10[0] = S"普通";
			__mcTemp__10[1] = S"一級稀有";
			__mcTemp__10[2] = S"二級稀有";
			__mcTemp__10[3] = S"三級稀有";
			__mcTemp__10[4] = S"四級稀有";
			__mcTemp__10[5] = S"五級稀有";
			__mcTemp__10[6] = S"六級稀有";
			__mcTemp__10[7] = S"七級稀有";
			__mcTemp__10[8] = S"八級稀有";
			__mcTemp__10[9] = S"九級稀有";
			this->comboBox3->Items->AddRange(__mcTemp__10);
			this->comboBox3->Location = System::Drawing::Point(113, 55);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(72, 21);
			this->comboBox3->TabIndex = 84;
			this->comboBox3->Tag = S"Rare";
			this->comboBox3->SelectedIndexChanged += new System::EventHandler(this, &MineForm::GetIndex_SelectedIndexChanged);
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label16->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label16->Location = System::Drawing::Point(17, 57);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(44, 12);
			this->label16->TabIndex = 83;
			this->label16->Text = S"稀有度";
			// 
			// comboBox2
			// 
			this->comboBox2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox2->ItemHeight = 13;
			System::Object* __mcTemp__11[] = new System::Object*[4];
			__mcTemp__11[0] = S"礦石";
			__mcTemp__11[1] = S"木材";
			__mcTemp__11[2] = S"藥草";
			__mcTemp__11[3] = S"漁";
			this->comboBox2->Items->AddRange(__mcTemp__11);
			this->comboBox2->Location = System::Drawing::Point(114, 14);
			this->comboBox2->Name = S"comboBox2";
			this->comboBox2->Size = System::Drawing::Size(72, 21);
			this->comboBox2->TabIndex = 80;
			this->comboBox2->Tag = S"ItemType";
			this->comboBox2->SelectedIndexChanged += new System::EventHandler(this, &MineForm::GetIndex_SelectedIndexChanged);
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label3->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label3->Location = System::Drawing::Point(17, 16);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(57, 12);
			this->label3->TabIndex = 79;
			this->label3->Text = S"物件分類";
			// 
			// MineForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 13);
			this->ClientSize = System::Drawing::Size(764, 837);
			this->Controls->Add(this->panel1);
			this->Name = S"MineForm";
			this->Text = S"MineForm";
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->groupBox1->ResumeLayout(false);
			this->groupBox10->ResumeLayout(false);
			this->groupBox12->ResumeLayout(false);
			this->groupBox12->PerformLayout();
			this->groupBox13->ResumeLayout(false);
			this->groupBox13->PerformLayout();
			this->groupBox6->ResumeLayout(false);
			this->groupBox7->ResumeLayout(false);
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown6))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown7))->EndInit();
			this->groupBox8->ResumeLayout(false);
			this->groupBox8->PerformLayout();
			this->groupBox9->ResumeLayout(false);
			this->groupBox9->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox4->ResumeLayout(false);
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown5))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown4))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown3))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown2))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->EndInit();
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			this->panel2->ResumeLayout(false);
			this->panel2->PerformLayout();
			this->ResumeLayout(false);

		}		


#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);
#endif
        //######################################################################################################
    protected:
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual void    OnValueChange();                
        virtual int     ObjSize();
        //######################################################################################################

private: System::Void comboBox5_SelectedIndexChanged(System::Object*  sender, System::EventArgs*  e) {
		 }
private: System::Void label53_Click(System::Object*  sender, System::EventArgs*  e) {
		 }
private: System::Void comboBox4_SelectedIndexChanged(System::Object*  sender, System::EventArgs*  e) {
		 }


};
}